use ExtUtils::MakeMaker;
use Config;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
# Run VCVARS32.BAT before generating makefile/compiling.
WriteMakefile(
    'NAME'	=> 'RRDs',
    'VERSION_FROM' => 'RRDs.pm',
#    'DEFINE'	   => "-DPERLPATCHLEVEL=$Config{PATCHLEVEL}",
# keep compatible w/ ActiveState 5xx builds
    'DEFINE'	   => "-DPERLPATCHLEVEL=5",

   'INC'	=> '-I../../src/ "-I../../../contrib/cairo/include/" "-I../../../contrib/glib/include" "-I../../../contrib/libpng/include" "-I../../../contrib/libxml2/include" "-I../../../contrib/pango/include" "-I../../../contrib/zlib/include"',
# Since we are now using GnuWin32 libraries dynamically (instead of static
# complile with code redistributed with rrdtool), use /MD instead of /MT.
# Yes, this means we need msvcrt.dll but GnuWin32 dlls already require it
# and it is available on most versions of Windows.
   'OPTIMIZE' => '-O2 -MD',
   'LIBS'  => '../../win32/Release/rrdlib.lib "../../../contrib/cairo/lib/" "../../../contrib/glib/lib" "../../../contrib/libpng/lib" "../../../contrib/libxml2/lib" "../../../contrib/pango/lib" "../../../contrib/zlib/lib"', 
    'realclean'    => {FILES => 't/demo?.rrd t/demo?.png' },
    ($] ge '5.005') ? (
        'AUTHOR' => 'Tobias Oetiker (tobi@oetiker.ch)',
        'ABSTRACT' => 'Round Robin Database Tool',
    ) : ()


);
